Submit Observations
curl --request POST \
--url https://agent.crowdlisten.com/api/observations/submit \
--header 'Content-Type: application/json' \
--data '
{
"observations": [
{
"content": "<string>",
"source_platform": "<string>",
"source_id": "<string>",
"observation_type": "general",
"entity_id": "<string>",
"signal_type": "<string>",
"metadata": {}
}
],
"project_id": "<string>",
"entity_id": "<string>"
}
'import requests
url = "https://agent.crowdlisten.com/api/observations/submit"
payload = {
"observations": [
{
"content": "<string>",
"source_platform": "<string>",
"source_id": "<string>",
"observation_type": "general",
"entity_id": "<string>",
"signal_type": "<string>",
"metadata": {}
}
],
"project_id": "<string>",
"entity_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
observations: [
{
content: '<string>',
source_platform: '<string>',
source_id: '<string>',
observation_type: 'general',
entity_id: '<string>',
signal_type: '<string>',
metadata: {}
}
],
project_id: '<string>',
entity_id: '<string>'
})
};
fetch('https://agent.crowdlisten.com/api/observations/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent.crowdlisten.com/api/observations/submit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'observations' => [
[
'content' => '<string>',
'source_platform' => '<string>',
'source_id' => '<string>',
'observation_type' => 'general',
'entity_id' => '<string>',
'signal_type' => '<string>',
'metadata' => [
]
]
],
'project_id' => '<string>',
'entity_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agent.crowdlisten.com/api/observations/submit"
payload := strings.NewReader("{\n \"observations\": [\n {\n \"content\": \"<string>\",\n \"source_platform\": \"<string>\",\n \"source_id\": \"<string>\",\n \"observation_type\": \"general\",\n \"entity_id\": \"<string>\",\n \"signal_type\": \"<string>\",\n \"metadata\": {}\n }\n ],\n \"project_id\": \"<string>\",\n \"entity_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://agent.crowdlisten.com/api/observations/submit")
.header("Content-Type", "application/json")
.body("{\n \"observations\": [\n {\n \"content\": \"<string>\",\n \"source_platform\": \"<string>\",\n \"source_id\": \"<string>\",\n \"observation_type\": \"general\",\n \"entity_id\": \"<string>\",\n \"signal_type\": \"<string>\",\n \"metadata\": {}\n }\n ],\n \"project_id\": \"<string>\",\n \"entity_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agent.crowdlisten.com/api/observations/submit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"observations\": [\n {\n \"content\": \"<string>\",\n \"source_platform\": \"<string>\",\n \"source_id\": \"<string>\",\n \"observation_type\": \"general\",\n \"entity_id\": \"<string>\",\n \"signal_type\": \"<string>\",\n \"metadata\": {}\n }\n ],\n \"project_id\": \"<string>\",\n \"entity_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}observations
Submit Observations
Submit 1-50 observations.
Auth (two modes):
1. Connector API key via X-Api-Key header or Authorization: Bearer cl_obs_* — scopes to connector's project.
2. User JWT via Authorization: Bearer <jwt> — requires project_id in request body.
Atomically accepts immutable source snapshots and acknowledges each stored ID.
Exact retries return the same IDs. Redis is an optional cron wakeup.
POST
/
api
/
observations
/
submit
Submit Observations
curl --request POST \
--url https://agent.crowdlisten.com/api/observations/submit \
--header 'Content-Type: application/json' \
--data '
{
"observations": [
{
"content": "<string>",
"source_platform": "<string>",
"source_id": "<string>",
"observation_type": "general",
"entity_id": "<string>",
"signal_type": "<string>",
"metadata": {}
}
],
"project_id": "<string>",
"entity_id": "<string>"
}
'import requests
url = "https://agent.crowdlisten.com/api/observations/submit"
payload = {
"observations": [
{
"content": "<string>",
"source_platform": "<string>",
"source_id": "<string>",
"observation_type": "general",
"entity_id": "<string>",
"signal_type": "<string>",
"metadata": {}
}
],
"project_id": "<string>",
"entity_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
observations: [
{
content: '<string>',
source_platform: '<string>',
source_id: '<string>',
observation_type: 'general',
entity_id: '<string>',
signal_type: '<string>',
metadata: {}
}
],
project_id: '<string>',
entity_id: '<string>'
})
};
fetch('https://agent.crowdlisten.com/api/observations/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent.crowdlisten.com/api/observations/submit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'observations' => [
[
'content' => '<string>',
'source_platform' => '<string>',
'source_id' => '<string>',
'observation_type' => 'general',
'entity_id' => '<string>',
'signal_type' => '<string>',
'metadata' => [
]
]
],
'project_id' => '<string>',
'entity_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agent.crowdlisten.com/api/observations/submit"
payload := strings.NewReader("{\n \"observations\": [\n {\n \"content\": \"<string>\",\n \"source_platform\": \"<string>\",\n \"source_id\": \"<string>\",\n \"observation_type\": \"general\",\n \"entity_id\": \"<string>\",\n \"signal_type\": \"<string>\",\n \"metadata\": {}\n }\n ],\n \"project_id\": \"<string>\",\n \"entity_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://agent.crowdlisten.com/api/observations/submit")
.header("Content-Type", "application/json")
.body("{\n \"observations\": [\n {\n \"content\": \"<string>\",\n \"source_platform\": \"<string>\",\n \"source_id\": \"<string>\",\n \"observation_type\": \"general\",\n \"entity_id\": \"<string>\",\n \"signal_type\": \"<string>\",\n \"metadata\": {}\n }\n ],\n \"project_id\": \"<string>\",\n \"entity_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agent.crowdlisten.com/api/observations/submit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"observations\": [\n {\n \"content\": \"<string>\",\n \"source_platform\": \"<string>\",\n \"source_id\": \"<string>\",\n \"observation_type\": \"general\",\n \"entity_id\": \"<string>\",\n \"signal_type\": \"<string>\",\n \"metadata\": {}\n }\n ],\n \"project_id\": \"<string>\",\n \"entity_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Body
application/json
Required array length:
1 - 50 elementsShow child attributes
Show child attributes
Project UUID (required when using JWT auth instead of connector key)
Default entity; a non-null item entity takes precedence, then the connector default
Response
Successful Response